<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>{{titulo}}</title>
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta content="" name="keywords">
        <meta content="" name="description">
        <!-- Favicons -->
        <link href="/img/favicon.ico" rel="icon">
        <!-- Bootstrap CSS File -->
        <link href="/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <!-- Main Stylesheet File -->
        <link href="/css/style.css" rel="stylesheet">
        <!--Subir foto-->
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" ></script>
        <script src="/lib/jquery/jquery.min.js"></script>
        <script src="/javascripts/jquery.validate.min.js" type="text/javascript"></script>

        <script src="https://www.gstatic.com/firebasejs/5.8.3/firebase.js"></script>
        <script>
            // Initialize Firebase
            var config = {
                apiKey: "AIzaSyB3vvScul7DNTqxPN7HuO9E-_Jfh_Il_eA",
                authDomain: "reserva-e2c0c.firebaseapp.com",
                databaseURL: "https://reserva-e2c0c.firebaseio.com",
                projectId: "reserva-e2c0c",
                storageBucket: "reserva-e2c0c.appspot.com",
                messagingSenderId: "235334466733"
            };
            firebase.initializeApp(config);

            // fire base mensajes
            var messaging = firebase.messaging();
            messaging.usePublicVapidKey('BC-NoR5JAvO1jkQeI0xxgzdA0j4Wm51fPGvRGWoG85f1rRdV-TD0rVdNK2X4btKoviPIh9-m28hcY_uhd1gb95A');
            messaging.requestPermission().then(function () {
                console.log('se ha aceptado las notificaciones');
                messaging.getToken().then(function (currentToken) {
                    if (currentToken) {
                        console.log(currentToken);
                        //guardar token
                        $.ajax({
                            url: '/guardar_token/' + currentToken,
                            type: 'GET',
                            dataType: 'json',
                            success: function (data, textStatus, jqXHR) {
                                console.log("Se ha guardado token");
                            }, error: function (jqXHR, textStatus, errorThrown) {

                            }
                        });
                    } else {
                        console.log('no existe token disponible Pida permisos para generar alguno');
                    }
                }).catch(function (err) {
                    console.log('ocurrio un error mientras se obtenia el token', err);
                    showToken('error al obtener la instancia id del token', err);
                    setTokenSentToServer(false);

                });
            }).catch(function (err) {
                mensajeFeedBack(err);
                console.log('no se ha recibido permiso / token : ', err);
            });
            messaging.onMessage(function(payload){
              //script para lanzar notificaciones HTML5
              var title = payload.notification.title;
              var extra = {
              icon: payload.notification.icon,
              body: payload.notification.body
              };
              // Lanzamos la notificación
              var noti = new Notification( title, extra);
              setTimeout( function() { noti.close(); }, 5000);
              noti.onclick = function() {
              window.location.assign(payload.notification.click_action);
              };
            });
       
        </script>
    </head>

    <body>

        <!--==========================
          Header
        ============================-->
        <header id="header">
            <div class="container">
                <div id="logo" class="pull-left">
                    <h1>
                        <a href="/" class="scrollto">
                            <img src="/img/favicon.ico" style="width: 12%;">C&C
                        </a>
                    </h1>
                </div>
                <nav id="nav-menu-container">
                    <ul class="nav-menu" >
                        <li>
                            <a href="/user_info">
                                <img src="/images/personaPerfil/{{usuario.foto}}" style="width: 30px; height: 30px; border-radius: 100%;">
                                {{nombre}}
                            </a>
                        </li>
                        <li class="menu-has-children"><a href="/">Principal</a></li>
                        <li class="menu-has-children"><a href="#">Información</a>
                            <ul>
                                <li><a href="/ver_reserva">Registro de actividades</a></li>
                                <li><a href="/user_info">Perfil</a></li>
                                <li><a href="/cerrar_sesion">Salir</a></li>
                            </ul>
                        </li>
                        <li>
                            {{#if error_admin}}
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">{{error_admin}}
                                <button type="button" class="btn btn-warning" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            {{/if}}
                        </li>
                    </ul>
                </nav><!-- #nav-menu-container -->
            </div>
        </header><!-- #header -->

        <!--==========================
          Intro Section
        ============================-->
        <section id="intro"> </section><!-- #intro -->

        <main id="main">
            {{> (lookup . 'partial')}}            
            {{> 'partials/frm_about'}}
        </main>


        <!--==========================
          Footer
        ============================-->
        <footer id="footer">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 text-lg-left text-center">
                        <div class="copyright">
                            &copy; 2019 Copyright <strong>Calva&Calva</strong>. 
                        </div>
                    </div>
                </div>
            </div>
        </footer><!-- #footer -->

        <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>

        <!-- JavaScript Libraries -->
        <script src="/lib/jquery/jquery-migrate.min.js"></script>
        <script src="/lib/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="/lib/easing/easing.min.js"></script>
        <script src="/lib/wow/wow.min.js"></script>
        <script src="/lib/superfish/hoverIntent.js"></script>
        <script src="/lib/superfish/superfish.min.js"></script>
        <script src="/lib/magnific-popup/magnific-popup.min.js"></script>
        <!-- Contact Form JavaScript File -->
        <script src="/contactform/contactform.js"></script>
        <!-- Template Main Javascript File -->
        <script src="/js/main.js"></script>

    </body>
</html>
